
function p1 = naiveBayes(X,y,X_test)

% Fit
m0 = mean(X(y==0,:));
s0 = std(X(y==0,:));
m1 = mean(X(y==1,:));
s1 = std(X(y==1,:));

% Evaluate
for i=1:size(X_test,1)
    pNg1(i,:)=normpdf(X_test(i,:),m1,s1);
    pNg0(i,:)=normpdf(X_test(i,:),m0,s0);
end
pNg1=pNg1./(pNg1 + pNg0);
pNg0=1-pNg1;

p1=prod(pNg1,2);
p0=prod(pNg0,2);
p1=p1./(p1+p0);