%% ROC analysis
% Receiver Operating Characteristics. 
% see http://en.wikipedia.org/wiki/Receiver_operating_characteristic
clf
for i=1:length(x)
    truePositives(i)=sum(testSet(1:floor(length(testSet)/2))>x(i))/floor(length(testSet)/2);
    falsePositives(i)=sum(testSet(floor(length(testSet)/2)+1:end)>x(i))/floor(length(testSet)/2);
end
figure(12);
clf
plot(x,truePositives);
hold on
plot(x,falsePositives,'r');
hold off
figure(13)  %% do not close this figure for the moment
clf;
plot(falsePositives,truePositives)
xlabel('false Positives');
ylabel('true Positives');